<template lang="pug">
	main(v-touch:swipe.left="close_menu" v-touch:swipe.right="open_menu")
		Header(@togglemenu="toggle_menu")
		div(:class="{ open: menu_open }" @click="toggle_menu").overlay
		Nav(@closemenu="close_menu" :open="menu_open")
		router-view.nuxt
</template>

<script lang="ts">
import Vue from 'vue';
import Header from '@/components/header.vue';
import Nav from '@/components/nav.vue';

export default Vue.extend({
	components: {
		Header,
		Nav,
	},
	data: () => {
		return {
			menu_open: false,
		};
	},
	methods: {
		toggle_menu() {
			this.menu_open = this.menu_open ? false : true;
		},
		close_menu() {
			this.menu_open = false;
		},
		open_menu() {
			this.menu_open = true;
		},
	},
});
</script>

<style lang="scss">
@import "@/assets/style/_main.scss";
@import "@/assets/style/_dimensions.scss";

main {
	height: 100%;
	min-height: 100%;
}

.nuxt {
	height: calc(100% - #{$header-height});
	display: inline-block;
	width: 100%;
	overflow: auto;
	padding: 30px 30px 0 30px;
	&:after { // Bottom spacer
		content: "";
		height: 20px;
		display: block;
	}
}

.overlay {
	display: none;
	width: 100%;
	height: 100%;
	position: fixed;
	background-color: black;
	opacity: 0.05;
	z-index: 900;
	&.open {
		display: inline-block;
	}
}

@media screen and (min-width: 1200px)  {
	.nuxt {
		width: calc(100% - #{$menu-width});
	}

	.overlay.open {
		display: none;
	}
}
</style>
